###################################################
### chunk number 1: 
###################################################
library(MLDS)


###################################################
### chunk number 2: 
###################################################
head(kk3)


###################################################
### chunk number 3: 
###################################################
c(resp = 1, S1 = 7, S2 = 9, S3 = 2, S4 = 4)


###################################################
### chunk number 4: 
###################################################
data(AutumnLab)
x.mlds <- mlds(AutumnLab)
x.6pt <- Get6pts(x.mlds, nrep = 1)
t(sapply(x.6pt, function(x) x[4, ]))


###################################################
### chunk number 5: 
###################################################
unlist(attr(x.6pt, 'indices')[4, ])


###################################################
### chunk number 6: 
###################################################
data(kk1)
data(kk2)
data(kk3)
kk <- SwapOrder(rbind(kk1, kk2, kk3))


###################################################
### chunk number 7: 
###################################################
kk.mlds <- mlds(kk)
summary(kk.mlds)
kkopt.mlds <- mlds(kk, method = "optim", opt.init = c(seq(0, 1, len = 11), 0.2))
summary(kkopt.mlds)


###################################################
### chunk number 8: 
###################################################
kk.mlds.logit <- mlds(kk, lnk = "logit")
kk.mlds.cauchit <- mlds(kk, lnk = "cauchit")


###################################################
### chunk number 9: 
###################################################
kk[residuals(kk.mlds$obj) < -2.5, ]


###################################################
### chunk number 10: 
###################################################
kk.frm <- mlds(~ (sx/0.98)^p[1], p = c(2, 0.2), data = kk)


###################################################
### chunk number 11: 
###################################################
c(p = kk.frm$par, sigma = kk.frm$sigma)
sqrt(diag(solve(kk.frm$hess)))


###################################################
### chunk number 12: 
###################################################
ddf <- diff(c(attr(logLik(kk.frm), "df"), 
	attr(logLik(kk.mlds), "df")))
pchisq(-2 * c(logLik(kk.frm) - logLik(kk.mlds)), 
	ddf, lower.tail = FALSE)


###################################################
### chunk number 13: 
###################################################
plot(kk.mlds, standard.scale = TRUE,
	xlab = expression(r^2),
	ylab = "Difference Scale Value")
xx <- seq(0, 0.98, len = 100)
lines(xx, kk.frm$func(kk.frm$par, xx))


